## r-cran-rcpptoml 0.1.7

=== DESCRIPTION ===
Package: RcppTOML
Type: Package
Title: 'Rcpp' Bindings to Parser for Tom's Obvious Markup Language
Version: 0.1.7
Date: 2020-12-01
Author: Dirk Eddelbuettel
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: The configuration format defined by 'TOML' (which expands to
 "Tom's Obvious Markup Language") specifies an excellent format
 (described at <https://toml.io/en/>) suitable for both human editing
 as well as the common uses of a machine-readable format. This package
 uses 'Rcpp' to connect the 'cpptoml' parser written by Chase Geigle
 (in C++11) to R.
SystemRequirements: A C++11 compiler; g++ (>= 4.9.*) or newer works.
BugReports: https://github.com/eddelbuettel/rcpptoml/issues
URL: http://dirk.eddelbuettel.com/code/rcpp.toml.html
Imports: Rcpp (>= 0.11.5)
Depends: R (>= 3.3.0)
LinkingTo: Rcpp
Suggests: tinytest
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2020-12-01 14:05:37 UTC; edd
Repository: CRAN
Date/Publication: 2020-12-02 23:00:08 UTC

=== debian/changelog ===
r-cran-rcpptoml (0.1.7-2) unstable; urgency=medium

  * Packaging update
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Fri, 18 Feb 2022 13:44:30 +0100

r-cran-rcpptoml (0.1.7-1) unstable; urgency=medium

  * Initial release (closes: #1004320)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jan 2022 22:34:10 +0100

=== debian/control ===
Source: r-cran-rcpptoml
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcpptoml
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcpptoml.git
Homepage: https://cran.r-project.org/package=RcppTOML
Rules-Requires-Root: no

Package: r-cran-rcpptoml
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: 'Rcpp' Bindings to Parser for Tom's Obvious Markup Language
 The configuration format defined by 'TOML' (which expands to
 "Tom's Obvious Markup Language") specifies an excellent format
 (described at <https://toml.io/en/>) suitable for both human editing
 as well as the common uses of a machine-readable format. This package
 uses 'Rcpp' to connect the 'cpptoml' parser written by Chase Geigle
 (in C++11) to R.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/RcppTOML_([-\d.]*)\.tar\.gz

## r-cran-rcpptoml 0.2.2+dfsg

=== DESCRIPTION ===
Package: RcppTOML
Type: Package
Title: 'Rcpp' Bindings to Parser for "Tom's Obvious Markup Language"
Version: 0.2.2
Date: 2023-01-29
Author: Dirk Eddelbuettel
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: The configuration format defined by 'TOML' (which expands to
 "Tom's Obvious Markup Language") specifies an excellent format
 (described at <https://toml.io/en/>) suitable for both human editing
 as well as the common uses of a machine-readable format. This package
 uses 'Rcpp' to connect to the 'toml++' parser written by Mark Gillard
 to R.
SystemRequirements: A C++17 compiler
BugReports: https://github.com/eddelbuettel/rcpptoml/issues
URL: http://dirk.eddelbuettel.com/code/rcpp.toml.html
Imports: Rcpp (>= 0.11.5)
Depends: R (>= 3.3.0)
LinkingTo: Rcpp
Suggests: tinytest
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2023-01-29 21:10:46 UTC; edd
Repository: CRAN
Date/Publication: 2023-01-29 22:12:06

=== debian/changelog ===
r-cran-rcpptoml (0.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 15:01:26 +0100

r-cran-rcpptoml (0.2.0+dfsg-3) unstable; urgency=medium

  * Fix patch for arm64

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:27:37 +0100

r-cran-rcpptoml (0.2.0+dfsg-2) unstable; urgency=medium

  * Fix build on arm64 (thanks for the hint to Dirk Eddelbuettel)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 16:00:16 +0100

r-cran-rcpptoml (0.2.0+dfsg-1) unstable; urgency=medium

  * Use Debian packaged libtomlplusplus-dev

 -- Andreas Tille <tille@debian.org>  Sun, 22 Jan 2023 18:58:05 +0100

r-cran-rcpptoml (0.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 09:24:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp
-Standards-Version: 4.6.0
+               r-cran-rcpp,
+               libtomlplusplus-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcpptoml
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcpptoml.git
 Homepage: https://cran.r-project.org/package=RcppTOML

## r-cran-rcpptoml 0.2.3+dfsg

=== DESCRIPTION ===
Package: RcppTOML
Type: Package
Title: 'Rcpp' Bindings to Parser for "Tom's Obvious Markup Language"
Version: 0.2.3
Date: 2025-03-08
Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
                    comment = c(ORCID = "0000-0001-6419-907X")),
             person("Mark", "Gillard", role = "aut",
                    comment = "Author of 'toml++' header library"))
Description: The configuration format defined by 'TOML' (which expands to
 "Tom's Obvious Markup Language") specifies an excellent format
 (described at <https://toml.io/en/>) suitable for both human editing
 as well as the common uses of a machine-readable format. This package
 uses 'Rcpp' to connect to the 'toml++' parser written by Mark Gillard
 to R.
SystemRequirements: A C++17 compiler
BugReports: https://github.com/eddelbuettel/rcpptoml/issues
URL: http://dirk.eddelbuettel.com/code/rcpp.toml.html
Imports: Rcpp (>= 1.0.8)
Depends: R (>= 3.3.0)
LinkingTo: Rcpp
Suggests: tinytest
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2025-03-08 13:54:57 UTC; edd
Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
  Mark Gillard [aut] (Author of 'toml++' header library)
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Repository: CRAN
Date/Publication: 2025-03-08 14:30:06 UTC

=== debian/changelog ===
r-cran-rcpptoml (0.2.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 12 Mar 2025 10:38:34 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-rcpptoml
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcpptoml
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcpptoml.git
+Homepage: https://cran.r-project.org/package=RcppTOML
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp,
+               r-cran-rcpp (>= 1.0.8),
                libtomlplusplus-dev
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcpptoml
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcpptoml.git
-Homepage: https://cran.r-project.org/package=RcppTOML
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rcpptoml
 Architecture: any

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  https://cloud.r-project.org/src/contrib/RcppTOML_([-\d.]*)\.tar\.gz
